https://github.com/facebook/watchman/pull/1089

From 6535e011af5b89e9aa2a6faa60fc862f36f8b483 Mon Sep 17 00:00:00 2001
From: Sam James <sam@gentoo.org>
Date: Sun, 22 Jan 2023 05:09:25 +0000
Subject: [PATCH] Fix build with GCC 13 (add missing <cstdint> include)

GCC 13 (as usual for new compiler releases) shuffles around some
internal includes and so <cstdint> is no longer transitively included.

Explicitly include <cstdint> for uint32_t.

Signed-off-by: Sam James <sam@gentoo.org>
--- a/watchman/Errors.h
+++ b/watchman/Errors.h
@@ -8,6 +8,7 @@
 #pragma once
 
 #include <fmt/core.h>
+#include <cstdint>
 #include <string>
 #include <system_error>
 
